xine-lib: pulldown_metrics_s Struct Reference

xine-lib 1.2.12

Data Fields
pulldown_metrics_s Struct Reference

`#include <speedy.h>`

## Data Fields
int | d
int | e
int | o
int | t
int | s
int | p

## Detailed Description

Copyright (c) 2002, 2003 Billy Biggs vekto.nosp@m.r@du.nosp@m.mbter.nosp@m.m.ne.nosp@m.t.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA. Speedy is a collection of optimized functions plus their C fallbacks. This includes a simple system to select which functions to use at runtime.

The optimizations are done with the help of the mmx.h system, from libmpeg2 by Michel Lespinasse and Aaron Holtzman.

The library is a collection of function pointers which must be first initialized by setup_speedy_calls() to point at the fastest available implementation of each function. Struct for pulldown detection metrics.

## Field Documentation

## ◆ d

int pulldown_metrics_s::d

Referenced by determine_pulldown_offset_dalias(), diff_factor_packed422_frame(), and diff_packed422_block8x8_c().

## ◆ e

int pulldown_metrics_s::e

Referenced by determine_pulldown_offset_dalias(), diff_factor_packed422_frame(), and diff_packed422_block8x8_c().

## ◆ o

int pulldown_metrics_s::o

Referenced by determine_pulldown_offset_dalias(), diff_factor_packed422_frame(), and diff_packed422_block8x8_c().

## ◆ p

int pulldown_metrics_s::p

Referenced by determine_pulldown_offset_dalias(), diff_factor_packed422_frame(), and diff_packed422_block8x8_c().

## ◆ s

int pulldown_metrics_s::s

Referenced by determine_pulldown_offset_dalias(), diff_factor_packed422_frame(), and diff_packed422_block8x8_c().

## ◆ t

int pulldown_metrics_s::t

Referenced by determine_pulldown_offset_dalias(), diff_factor_packed422_frame(), and diff_packed422_block8x8_c().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/post/deinterlace/speedy.h